List plans for a product
curl --request GET \
--url https://api.example.com/v1/sdk/products/{productRef}/plans \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/sdk/products/{productRef}/plans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/sdk/products/{productRef}/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"limit": 123,
"offset": 123,
"plans": [
{
"createdAt": "<string>",
"currency": "USD",
"hidden": false,
"isActive": true,
"price": 2999,
"reference": "pln_1A2B3C4D",
"requiresPayment": true,
"status": "active",
"type": "recurring",
"updatedAt": "<string>",
"accessExpiryDays": 123,
"billingCycle": "monthly",
"billingModel": "pre-paid",
"creditsPerUnit": 1,
"currencySymbol": "$",
"description": "Best for teams getting started",
"features": {},
"freeUnits": 100,
"limit": 10000,
"limits": {},
"maxActiveUsers": 123,
"measures": "requests",
"meterRef": "mtr_1A2B3C4D",
"name": "Starter",
"pricingOptions": [
{
"currency": "USD",
"price": 2999,
"basePrice": 1999,
"default": true,
"setupFee": 500
}
],
"rolloverUnusedUnits": false,
"setupFee": 500,
"trialDays": 14
}
],
"total": 123
}Plans
List plans for a product
Retrieves the plans belonging to a product, paginated in-memory. Returns SDK-shaped plans with money serialized to wire units and unsupported plan types normalised to “recurring”.
GET
/
v1
/
sdk
/
products
/
{productRef}
/
plans
List plans for a product
Authorizations
Provider secret API key (sk_live_… / sk_test_…) supplied as a Bearer token.
Path Parameters
Product reference or ID
Example:
"prd_1A2B3C4D"
⌘I